// ShipKill class definition
// Copyright (C) 04.09.97 Marco Dettori and Oliver Obst
//
// $Id: main.h,v 0.2 1998/03/16 10:28:36 oliver Exp $

// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
#ifndef MAIN_H
#define MAIN_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <sys/utsname.h>

#include <qwidget.h>
#include <qpushbt.h>
#include <qlabel.h>
#include <qpixmap.h>

#include "myocean.h"
#include "opocean.h"
#include "seaproto.h"

class ShipKill : public QWidget
{
        Q_OBJECT
public:
        ShipKill( QWidget *parent=0, const char *name=0 );

        void    setParameter( int option, const char *parameter );       
        void    finished();
                
protected:
        void    resizeEvent( QResizeEvent * );

        char            myname[ 200 ], opname[ 200 ], saver[ 200 ];
        struct utsname  uts;
        
        QPushButton     *bye, *reset, *ok, *icon, *label;
        QPixmap         *pixmap;
        MyOcean         *t1;
        OpOcean         *t2;
        SeaProto        *proto;
        bool            resetOk, okOk;

protected slots:
        void    okOrResetS();
        void    resetS();
        void    okS();
        void    myToggle( int, int );
        void    opToggle( int, int );
        void    survive();
        void    surrender();
        void    showInfo();
        void    restoreInfo();
        void    about();
};

#endif MAIN_H
